/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * This code was generated by https://code.google.com/p/google-apis-client-generator/
 * (build: 2013-08-01 15:32:38 UTC)
 * on 2013-08-06 at 20:40:50 UTC 
 * Modify at your own risk.
 */

package com.google.api.services.youtube.model;

/**
 * Detailed settings of a stream.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the YouTube Data API. For a detailed explanation see:
 * <a href="http://code.google.com/p/google-api-java-client/wiki/Json">http://code.google.com/p/google-api-java-client/wiki/Json</a>
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class LiveStreamContentDetails extends com.google.api.client.json.GenericJson {

  /**
   * The ingestion URL where the closed captions of this stream are sent.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String closedCaptionsIngestionUrl;

  /**
   * The ingestion URL where the closed captions of this stream are sent.
   * @return value or {@code null} for none
   */
  public java.lang.String getClosedCaptionsIngestionUrl() {
    return closedCaptionsIngestionUrl;
  }

  /**
   * The ingestion URL where the closed captions of this stream are sent.
   * @param closedCaptionsIngestionUrl closedCaptionsIngestionUrl or {@code null} for none
   */
  public LiveStreamContentDetails setClosedCaptionsIngestionUrl(java.lang.String closedCaptionsIngestionUrl) {
    this.closedCaptionsIngestionUrl = closedCaptionsIngestionUrl;
    return this;
  }

  @Override
  public LiveStreamContentDetails set(String fieldName, Object value) {
    return (LiveStreamContentDetails) super.set(fieldName, value);
  }

  @Override
  public LiveStreamContentDetails clone() {
    return (LiveStreamContentDetails) super.clone();
  }

}
